Προς το περιεχόμενο

java στο browser


vaiosgtr

Προτεινόμενες αναρτήσεις

ειμαι σε linux mint. εχω το γνωστο προβλημα με την java που δεν υποστηριζεται πλεον. δοκιμασα firefox esr 52.5.. ,opera , qup zilla , pale moon, παλια εκδοση firefox. αλλα δεν μπορω να βαλω το java plugin. μαλλον κατι κανω λαθος. εχω κατεβασει το "jre-8u161-linux-x64.tar.gz" και αντιγραφω το αρχειο "jre1.8.0_161/lib/amd64/libnpjp2.so" στον φακελο του browser. μπορει να μην ειναι σωστο το αρχειο ή να μην το αντιγραφω στο σωστο φακελο.

Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

δες ποιές εκδόσεις java έχεις δίνοντας σε terminal αυτό εδώ

sudo update-java-alternatives --list

μετά μπορείς να κάνεις update την έκδοση που θέλεις να χρησιμοποιήσεις δίνοντας

sudo update-java-alternatives --list

δες περισσότερα εδώ

 

https://askubuntu.com/questions/121654/how-to-set-default-java-version#121673

Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες
Δημοσ. (επεξεργασμένο)

συγνωμη αλλα και οι δυο εντολες που γραφεις ειναι οι ιδιες και μου επιστρεφουν error.

Αναφορά σε κείμενο

awk: fatal: cannot open file `/usr/lib/jvm/*.jinfo' for reading (No such file or directory)
default-java                              /usr/lib/jvm/default-java

και στον φακελο jvm εχω

1.  /usr/lib/jvm/java-8-oracle  που ειναι ενας αδειος φακελος
2 . /usr/lib/jvm/default-java που οταν προσπαθω να το ανοιξω λεει "No such file or directory" αλλα με ls-l λεει java-1.8.0-openjdk-amd64

κοιταξα και στο link που εδωσες, δοκιμασα και το java -version ή javac -version και καποιες ακομα εντολες και ολες γυρνανε λαθος.

 

Επεξ/σία από vaiosgtr
Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

Το δημιουργείς με

 mkdir .mozilla/plugins

κάνεις copy με

cp jre1.8.0_161/lib/amd64/libnpjp2.so .mozilla/plugins

 

μετα θα πρέπει να μπεις απο browser πληκτρολογώντας στη γραμμή διευθύνσεων

about:plugins

και να σου έχει τη java ενεργή.

Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες
Δημοσ. (επεξεργασμένο)

δοκιμασα και στο home folder και στο /user/lib. οπου ειδα φακελο plugins το αντεγραψα αλλα τζιφος.

τον φακελο με την παλια εκδοση του firefox τον εχω στο /opt. εκει δημιουργω φακελο plugins και αντιγραφω το αρχειο. το τρεχω και βγαζει στην λιστα το java. αλλα οταν παω να τρεξω την εφαρμογη στην σελιδα που θελω λεει: "The Java(TM) plugin has crashed. Reload the page to try again." και η ανανεωση δεν κανει τιποτα. καθε φορα το ιδιο μυνημα.

Επεξ/σία από vaiosgtr
Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

ναι δοκιμασα αλλα οπως ενημερωθηκα ουτε ο chrome-chromium υποστηριζει πλεον npapi plugins. δοκιμασα και αλλους πολλους browsers μηπως σε καποιο ειναι προεγκατεστημενο. αλλα τζιφος.

Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες
Δημοσ. (επεξεργασμένο)

παιδια αφου στα plugins φαινονται τα java και icedtea γιατι δεν δουλευει?

και επισης προσπαθωντας να κατεβασω πακετα απο τον software manager μου εμφανιζει αυτο το μυνημα. που απο'τι εψαξα λεει οτι φταιει ο python. εκανα εγκατασταση το python 2.7.4 που κατεβασα απο την σελιδα. εκανα και επανεκκινηση. αλλα δεν μπορω να κατεβασω τιποτα επειδη βγαζει αυτο το error.

να πω οτι το λειτουργικο το εγκαστησα προσφατα και πιθανων εχει αυτο το θεμα απο την αρχη. απλα δεν το προσεξα. τι να κανω?

Screenshot_2018-01-20_22-15-24.png

Επεξ/σία από vaiosgtr
Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες
10 ώρες πριν, vaiosgtr είπε

εκανα εγκατασταση το python 2.7.4 που κατεβασα απο την σελιδα.

Οταν λες αυτο, τι εννοεις? Κατεβασες ολοκληρη την python και την εβαλες με το χερι? :o

Αν βαλεις κατι με το apt μονο, πχ

>sudo apt-get install alltray

σου το κανει εγκατασταση? Αν ναι, κατι επαθε το software manager και εμεινε κουλο.

 

Για το θεμα με την java δεν γνωριζω. Απλα θα ηταν καλο να εχεις ΕΝΑ plugin για να εκτελει οτι java applet θελει ο browser, οποτε να κρατησεις ειτε το icetea ειτε αυτιο της μαμας java.

Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες
Δημοσ. (επεξεργασμένο)

1. εννοω οτι κατεβασα το tar και εκανα configure - make - make install. αλλα δεν εκανε τιποτα αυτο. οπως λες δοκιμασα με apt-get και ουτε απο εκει γινοταν εγκατασταση αλλα τουλαχιστον καταλαβα το λογο. στην προσπαθεια μου να κατεβασω οτι πακετα java ή jdk μηπως το κανω να δουλεψει εγινε ενα μπερδεμα και γι'αυτο δεν μπορουσε να προχωρησει. τα εκανα remove και τωρα μπορω να κατεβαζω οποιο προγραμμα εκτος βεβαια απο κανα δυο που σκαλωνει.

ας πουμε δινω "sudo apt-get install oracle-java8-installer" και στο τελος απο ενα κατεβατο εργασιες μου γυρναει αυτο.

Αναφορά σε κείμενο

download failed
Oracle JDK 8 is NOT installed.
dpkg: error processing package oracle-java8-installer (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 oracle-java8-installer
E: Sub-process /usr/bin/dpkg returned an error code (1)

και μετα επειδη εχει κολησει αυτο το πακετο δεν μπορει να κατεβασει κανενα αλλο.

2. με το java απενεργοποιημενο λεει "the plugin is disabled". με το java ενεργοποιημενο ειτε τρεχει το icedtea ειτε οχι λεει "The Java(TM) plugin has crashed."

 

3. παντως εχουμε μια μικρη προοδο. πλεον οταν γραφω java -version εχω ανταποκριση

Αναφορά σε κείμενο

[email protected] ~ $ java -version
java version "1.8.0_144"
Java(TM) SE Runtime Environment (build 8.0.5.0 - pxa6480sr5-20170905_01(SR5))
IBM J9 VM (build 2.9, JRE 1.8.0 Linux amd64-64 Compressed References 20170901_363591 (JIT enabled, AOT enabled)
J9VM - d56eb84
JIT  - tr.open_20170901_140853_d56eb84
OMR  - b033a01)
JCL - 20170823_01 based on Oracle jdk8u144-b01
[email protected] ~ $ javac -version
javac 1.8.0_151

και δεν χρειαζεται πια να εχω εκεινο το αρχειο στο φακελο plugin του firefox. ακομα και εαν το βγαλω αναγνωριζει αυτοματα το java.

 

αλλα ειναι πολυ περιεργο. γιατι δεν τρεχει !?

Επεξ/σία από vaiosgtr
Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες
36 λεπτά πριν, chek2fire είπε

Βάλε άλλη μια έκδοση java αν είναι να δοκιμάσεις αν τρέχει αυτή

πως το κανω αυτο? προσπαθησα να βαλω java9 και μπερδεψα τα μπουτια μου.

Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

δες εδώ λίγο για το ubuntu 16.04

https://www.digitalocean.com/community/tutorials/how-to-install-java-with-apt-get-on-ubuntu-16-04

δοκίμασε λίγο τις διαφορετικές εκδόσεις να δεις ποια θα σου δουλέψει. Σε κάθε νέα εγκατάσταση θα πρέπει να αλλάζεις και την έκδοση που χρησιμοποιεί το σύστημα σου.

Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

Δημιουργήστε ένα λογαριασμό ή συνδεθείτε για να σχολιάσετε

Πρέπει να είστε μέλος για να αφήσετε σχόλιο

Δημιουργία λογαριασμού

Εγγραφείτε με νέο λογαριασμό στην κοινότητα μας. Είναι πανεύκολο!

Εγγραφείτε για έναν νέο λογαριασμό

Σύνδεση

Έχετε ήδη λογαριασμό; Συνδεθείτε εδώ.

Συνδεθείτε τώρα
  • Δημιουργία νέου...

Με την περιήγησή σας στο insomnia.gr, αποδέχεστε τη χρήση cookies που ενισχύουν σημαντικά την εμπειρία χρήσης.